Skip to main content
`Ctrl`+`K`

# scipy.special.y0

scipy.special.y0(x, out=None) = <ufunc 'y0'>

  Bessel function of the second kind of order 0.

  Parameters:
    x array_like

      Argument (float).

    out ndarray, optional

      Optional output array for the function results

  Returns:
    Y scalar or ndarray

      Value of the Bessel function of the second kind of order 0 at x.

  See also

  `j0`

    Bessel function of the first kind of order 0

  `yv`

    Bessel function of the first kind

  Notes

  The domain is divided into the intervals [0, 5] and (5, infinity). In the first interval a rational approximation \(R(x)\) is employed to compute,

  \[Y_0(x) = R(x) + \frac{2 \log(x) J_0(x)}{\pi},\]

  where \(J_0\) is the Bessel function of the first kind of order 0.

  In the second interval, the Hankel asymptotic expansion is employed with two rational functions of degree 6/6 and 7/7.

  This function is a wrapper for the Cephes [1] routine `y0`.

  References

  [1]

  Cephes Mathematical Functions Library, http://www.netlib.org/cephes/

  Examples

  Calculate the function at one point:

      >>> from scipy.special import y0
      >>> y0(1.)
      0.08825696421567697

  Calculate at several points:

      >>> import numpy as np
      >>> y0(np.array([0.5, 2., 3.]))
      array([-0.44451873,  0.51037567,  0.37685001])

  Plot the function from 0 to 10.

      >>> import matplotlib.pyplot as plt
      >>> fig, ax = plt.subplots()
      >>> x = np.linspace(0., 10., 1000)
      >>> y = y0(x)
      >>> ax.plot(x, y)
      >>> plt.show()